***FINAL***

*Table 1

*model B1 (baseline models)
xi:ivreg2 leave_share (import_shock_china=instrument_china) i.nuts1, cluster(nuts2) 
*model B2
xi:ivreg2 leave_share (import_shock_east=instrument_east) i.nuts1, cluster(nuts2) 
*model B3
xi: ivreg2 leave_share immigrant_share immigrant_arrivals (import_shock_china=instrument_china) i.nuts1, cluster(nuts2) 
*model B4
xi: ivreg2 leave_share immigrant_share immigrant_arrivals (import_shock_east=instrument_east) i.nuts1, cluster(nuts2) 

*figure 1a (separate regressions model plot)
ivreg2 leave_share immigrant_share immigrant_arrivals immigrant_arrivals fiscal_cuts cancer_62_days pub_empl_growth ( import_shock_china = instrument_china) i.nuts1, cluster(nuts2)
estimate store china
ivreg2 leave_share immigrant_share immigrant_arrivals immigrant_arrivals fiscal_cuts cancer_62_days pub_empl_growth ( import_shock_east =instrument_east) i.nuts1, cluster(nuts2)
estimate store east
coefplot china east, xline(0) drop (_cons *.nuts1)

*figure 1b (joint instruments model plot)
ivreg2 leave_share immigrant_share immigrant_arrivals immigrant_arrivals fiscal_cuts cancer_62_days pub_empl_growth ( import_shock_china import_shock_east =instrument_east instrument_china) i.nuts1, cluster(nuts2)
coefplot, xline(0) drop (_cons *.nuts1)
*TABLE 2

*figure 2 (panels a-d: interaction plot)

regress leave_share immigrant_share immigrant_arrivals import_shock_east c.import_shock_east#c.EU_news i.nuts1, cluster(nuts2) 
margins, dydx (c.import_shock_east) at (c.z_EU_w =(-2(0.5)2))
marginsplot
regress leave_share immigrant_share immigrant_arrivals import_shock_china c.import_shock_china#c.China_news i.nuts1, cluster(nuts2) 
margins, dydx (c.import_shock_china) at (c.z_china_w =(-2(0.5)2))
marginsplot
regress leave_share immigrant_share immigrant_arrivals import_shock_east c.import_shock_east#c.CEE_migration i.nuts1, cluster(nuts2)
margins, dydx (c.import_shock_east) at (c.CEEshare=(0(0.5)7))
marginsplot
regress leave_share immigrant_share immigrant_arrivals import_shock_china c.import_shock_china#c.China_migration i.nuts1, cluster(nuts2)
margins, dydx (c.import_shock_china) at (c.chinashare=(0(0.5)7))
marginsplot
















*summary statistics
sum  import_shock_china instrument_china import_shock_east  instrument_east import_shock_CS instrument_CS change_rel_inc_med  immigrant_share immigrant_arrivals CEEshare chinashare cancer_62_days pub_empl_growth change_rel_inc_med c.z_EU_w c.z_china_w


*Appendix 5, table 1
reg leave_share import_shock_china i.nuts1, cl(nuts2encoded)
reg leave_share import_shock_CS i.nuts1, cl(nuts2encoded)
reg leave_share import_shock_east i.nuts1, cl(nuts2encoded)

*appendix, table 2

xi: ivreg2 leave_share immigrant_share immigrant_arrivals (import_shock_east=instrument_east) i.nuts1, cluster(nuts2) sfirst
margins, dyex (c.import_shock_east) at (c.CEEshare=(0(0.5)7))
marginsplot
xi: ivreg2 leave_share immigrant_share immigrant_arrivals (import_shock_china=instrument_china) i.nuts1, cluster(nuts2) sfirst
margins, dyex (c.import_shock_china) at (c.chinashare=(0(0.5)7))
marginsplot

*Appendix 5, table 3
xi:ivreg2 leave_share import_shock_china immigrant_share immigrant_arrivals fiscal_cuts cancer_62_days pub_empl_growth i.nuts1 (import_shock_china=instrument_china), cluster(nuts2)
outreg2 using "brexit_5_3", replace

xi:ivreg2 leave_share import_shock_east immigrant_share immigrant_arrivals fiscal_cuts cancer_62_days pub_empl_growth i.nuts1 (import_shock_east=instrument_east), cluster(nuts2) 
outreg2 using "brexit_5_3", append
xi: ivreg2 leave_share change_rel_inc_med (import_shock_china=instrument_china) i.nuts1, cluster(nuts2)
outreg2 using "brexit_5_3", append

xi: ivreg2 leave_share change_rel_inc_med (import_shock_east=instrument_east) i.nuts1, cluster(nuts2)
outreg2 using "brexit_5_3", append


regress leave_share immigrant_share immigrant_arrivals import_shock_east c.import_shock_east#c.z_EU_w i.nuts1, cluster(nuts2) 
outreg2 using "brexit_5_3", append

regress leave_share immigrant_share immigrant_arrivals import_shock_china c.import_shock_china#c.z_china_w i.nuts1, cluster(nuts2) 
outreg2 using "brexit_5_3", append

regress leave_share immigrant_share immigrant_arrivals import_shock_east c.import_shock_east#c.CEEshare i.nuts1, cluster(nuts2)
outreg2 using "brexit_5_3", append

regress leave_share immigrant_share immigrant_arrivals import_shock_china c.import_shock_china#c.chinashare i.nuts1, cluster(nuts2)
outreg2 using "brexit_5_3", append



*** first stage estimates







***new stuff
both together
ivreg2 leave_share immigrant_share immigrant_arrivals immigrant_arrivals fiscal_cuts cancer_62_days pub_empl_growth ( import_shock_china import_shock_east =instrument_east instrument_china)   i.nuts1
